Drupal Commerce NZ Post
===============

Commerce NZ Post provides Shipping quotes from the NZ Post API in your
Drupal Commerce 2.x e-commerce site on Drupal 8.

There are currently some caveats, if you have need for these and can fund them or have coded them please get in touch:

- Will be inaccurate for International Courier & International Express Courier as the packer splits boxes based on 1.05m  & max 2m in dimensions ( length + depth + width ) and on on 20kg rather than 30kg. It is accurate for International Air. These numbers can be changed in the UI so if you are only using some of the available services you may want to change them.

- Works best for small items as it works off item volume and calculates back to get sizing rather than packing real items by length etc.

- It packs in the order it comes across items in the order ie it will start a new package as soon as it finds an item that won't fit in the current package, it will not then attempt to fit that item, or any subsequent item, into an earlier package.

- It does not check for total package value at any point, this may leave you over the value limit for the selected option.

- It will attempt to pack ALL of one order item into a single box. This is a problem if the quantity ordered won't fit into a single box eg if 100 of a single SKU is being ordered and only 50 will fit into a shipment this item is currently 'unpackable'. The process will not split it into multiple parts, it will give up.

- All packages go by the same method, the available options presented to the customer are totalled for all packages, they cannot choose  one service for one package and another for a different package.


Please report bugs in the [issue queue](https://www.drupal.org/project/issues/commerce_nzpost).

## Requirements

* An NZ Post API Key [developer@nzpost.co.nz](developer@nzpost.co.nz)
* Drupal 8
* Drupal Commerce 2.x
* Commerce Shipping 2.x

## Installation

Use [Composer](https://getcomposer.org/) to get Commerce NZ Post and all of its
dependencies installed on your Drupal 8 site:

```
composer require drupal/commerce_nzpost
```

Then simply enable the "Commerce NZ Post" module and visit 
`Commerce > Configuration > Shipping Methods` to configure NZPost, you will need your API key.
