<?php

namespace Drupal\commerce_nzpost\Plugin\Commerce\NzPost;

use Drupal\commerce_shipping\Entity\ShipmentInterface;
use Drupal\Component\Plugin\ConfigurablePluginInterface;
use Drupal\Component\Plugin\PluginInspectionInterface;
use Drupal\Core\Plugin\PluginFormInterface;

/**
 * Defines the base interface for FedEx Service Plugins.
 *
 * @package Drupal\commerce_fedex\Plugin\Commerce\FedEx
 */
interface NzPostPluginInterface extends ConfigurablePluginInterface, PluginFormInterface, PluginInspectionInterface {

  /**
   * Function splitPackage.
   *
   * @param array $shipment_items
   *   An Array of shipment items.
   * @param \Drupal\commerce_shipping\Entity\ShipmentInterface $shipment
   *   The Shipment.
   *
   * @return array
   *   An array of arrays of shipment items.
   */
  public function splitPackage(array $shipment_items, ShipmentInterface $shipment);

}
