<?php

namespace Drupal\commerce_nzpost;

use Drupal\commerce_shipping\Entity\ShipmentInterface;

/**
 * Interface RateLookupServiceInterface.
 */
interface RateLookupServiceInterface {

  /**
   * Gets a new rate request.
   *
   * @param \Drupal\commerce_shipping\Entity\ShipmentInterface $shipping_profile
   *   Shipping profile for the order.
   * @param array $config
   *   Config for the module.
   *
   * @return array
   *   The available rates as an array.
   */
  public function getRates(ShipmentInterface $shipping_profile, array $config);

}
